SLASH_LOOK1 = "/look"
local nameplateSetting = 0
local function speakText(spokenMessage)

    C_VoiceChat.SpeakText(1, spokenMessage, Enum.VoiceTtsDestination.QueuedLocalPlayback, 5, 100)
end
local checkDistance=1

local frame = CreateFrame("Frame")
frame:RegisterEvent("NAME_PLATE_UNIT_ADDED")
frame:RegisterEvent("NAME_PLATE_UNIT_REMOVED")
frame:SetScript("OnEvent", function(self, event, arg1)
    if event == "NAME_PLATE_UNIT_ADDED" then
if(nameplateSetting==0) then
if(UnitIsEnemy("player",arg1)) then
                      PlaySoundFile("Interface/AddOns/WOWAccess-Retail/sounds/nameplateisenemy.ogg")
 else
               PlaySoundFile("Interface/AddOns/WOWAccess-Retail/sounds/nameplateadded.ogg")
end
if(UnitIsUnit(arg1, "target")) then
                      PlaySoundFile("Interface/AddOns/WOWAccess-Retail/sounds/nameplateistarget.ogg") 
end
elseif(nameplateSetting==1) then
if(UnitIsEnemy("player",arg1)) then
                      PlaySoundFile("Interface/AddOns/WOWAccess-Retail/sounds/nameplateisenemy.ogg")
end
if(UnitIsUnit(arg1, "target")) then
                      PlaySoundFile("Interface/AddOns/WOWAccess-Retail/sounds/nameplateistarget.ogg") 
end

elseif(nameplateSetting==2) then
if(UnitIsUnit(arg1, "target")) then
                      PlaySoundFile("Interface/AddOns/WOWAccess-Retail/sounds/nameplateistarget.ogg") 
end

end
    elseif event == "NAME_PLATE_UNIT_REMOVED" then
if(UnitIsUnit(arg1, "target")) then
                      PlaySoundFile("Interface/AddOns/WOWAccess-Retail/sounds/nameplateistargetremoved.ogg") 
end
if(nameplateSetting==0) then
if(UnitIsEnemy("player",arg1)) then
                      PlaySoundFile("Interface/AddOns/WOWAccess-Retail/sounds/nameplateremoved.ogg") 
 else
                      PlaySoundFile("Interface/AddOns/WOWAccess-Retail/sounds/nameplateremoved.ogg") 
end
elseif(nameplateSetting==1) then
if(UnitIsEnemy("player",arg1)) then
                      PlaySoundFile("Interface/AddOns/WOWAccess-Retail/sounds/nameplateremoved.ogg") 
end
end
    end
end)
local MAX_NAME_PLATE_UNITS = 40
local function look()
for i = 1, MAX_NAME_PLATE_UNITS do
    local unit = "nameplate" .. i
    local name = UnitName(unit)

    if name then
        C_VoiceChat.SpeakText(0, name, 4, 0, 100)
    end
end
end
local targetInteractable= 0
local function checkTargetDistance()
if(checkDistance==1 and UnitExists("target")) then
local dist = CheckInteractDistance("target", 3)
if(dist) then
if(targetInteractable==0) then
               PlaySoundFile("Interface/AddOns/WOWAccess-Retail/sounds/targetisinteractablerange.ogg")
targetInteractable=1
end

elseif(targetInteractable==1) then
               PlaySoundFile("Interface/AddOns/WOWAccess-Retail/sounds/targetisnotinteractablerange.ogg")
targetInteractable=0
end
end
C_Timer.After(.25, checkTargetDistance)
end


local EventFrame = CreateFrame("frame", "EventFrame")
EventFrame:RegisterEvent("PLAYER_ENTERING_WORLD")

EventFrame:SetScript("OnEvent", function(self, event, ...)
	if(event == "PLAYER_ENTERING_WORLD") then
C_Timer.After(1, function() 
checkTargetDistance()
local btn = CreateFrame("BUTTON", "Look")
SetBindingClick("ALT-L", "Look")
btn:SetScript("OnClick", function(self, BUTTON, down)
look()
end)
local btn = CreateFrame("BUTTON", "TargetDistance")
SetBindingClick("ALT-I", "TargetDistance")
btn:SetScript("OnClick", function(self, BUTTON, down)
if(checkDistance==0) then
checkDistance=1
speakText("Target Interact Alert On")
else
checkDistance=0
speakText("Target Interact alert off")
end
end)

local btn = CreateFrame("BUTTON", "NameplateSetting")
SetBindingClick("ALT-U", "NameplateSetting")
btn:SetScript("OnClick", function(self, BUTTON, down)
nameplateSetting = nameplateSetting+1

if(nameplateSetting==3) then
nameplateSetting=0
end
if(nameplateSetting==0) then
speakText("Nameplate alerts set to all")
elseif(nameplateSetting==1) then
speakText("Nameplate alert set to hostiles and target")
elseif(nameplateSetting==2) then
speakText("Nameplate alert set to target only")
end

end)


end)
end
end)

SlashCmdList["LOOK"] = look;