SLASH_STATS1 = "/pstats"
SLASH_WHERE1 = "/where"
local currentZone = "Hello"
local lastZone = "bye"
local function speakText(spokenMessage)
    C_VoiceChat.StopSpeakingText()
    C_VoiceChat.SpeakText(1, spokenMessage, Enum.VoiceTtsDestination.QueuedLocalPlayback, 5, 100)
end
local function speakText1(spokenMessage)
--    C_VoiceChat.StopSpeakingText()
    C_VoiceChat.SpeakText(1, spokenMessage, Enum.VoiceTtsDestination.QueuedLocalPlayback, 5, 100)
end

local monitorMouse = 0
local currentMouse = nil

local function speakMouseOver()
if(monitorMouse==1) then
local mouseData = "!"
if(UnitExists("mouseover")) then
mouseData = UnitName("mouseover")
end

if(mouseData==currentMouse) then

else
currentMouse=mouseData
speakText1(mouseData)

end
end
    C_Timer.After(.25, speakMouseOver)
end

local function zoneMonitor()
    currentZone = GetSubZoneText()
if(lastZone~=currentZone) then
speakText("You have entered "..currentZone)
lastZone=currentZone
end
C_Timer.After(1, zoneMonitor)
end

local function readPlayerZone()
    local playerArea = GetAreaText()
    local playerSubZone = GetSubZoneText()
    local playerZone = GetZoneText()
    local map = C_Map.GetBestMapForUnit("player")
    local position = C_Map.GetPlayerMapPosition(map, "player")
local playerMapX, playerMapY = position:GetXY()
    playerMapX = math.floor(playerMapX*10000+0.5)/100
    playerMapY = math.floor(playerMapY*10000+0.5)/100

    local locationMessage = "You are in "..playerArea..", within "..playerSubZone..", at "..playerMapX..", "..playerMapY.."."
    speakText(locationMessage)
end

local function readPlayerStatistics()
    local currentHealth = UnitHealth("player")
    local maxHP = UnitHealthMax("player")
    local hpPerc = math.floor(currentHealth*100/maxHP)

    local currentMana = UnitPower("player")
    local maxMana = UnitPowerMax("player")
    local manaPerc = math.floor(currentMana*100/maxMana)
    local currentXP = UnitXP("player")
    local maxXP = UnitXPMax("player")
    local XPPerc = math.floor(currentXP*100/maxXP)
    local level = UnitLevel("player")
    local statMessage = "You have, "..hpPerc.." percent health, and "..manaPerc.." percent  power. You are level "..level..", with "..XPPerc.." percent towards your next level!"
speakText(statMessage)
end
local EventFrame = CreateFrame("frame", "EventFrame")
EventFrame:RegisterEvent("PLAYER_ENTERING_WORLD")

EventFrame:SetScript("OnEvent", function(self, event, ...)
	if(event == "PLAYER_ENTERING_WORLD") then
C_Timer.After(1, function() 
zoneMonitor()
speakMouseOver()
local btn = CreateFrame("BUTTON", "PlayerZone")
SetBindingClick("ALT-K", "PlayerZone")
btn:SetScript("OnClick", function(self, BUTTON, down)
readPlayerZone()
end)
local btn = CreateFrame("BUTTON", "PlayerStatistics")
SetBindingClick("ALT-J", "PlayerStatistics")
btn:SetScript("OnClick", function(self, BUTTON, down)
readPlayerStatistics()
end)
local btn = CreateFrame("BUTTON", "StopSpeak")
SetBindingClick("V", "StopSpeak")
btn:SetScript("OnClick", function(self, BUTTON, down)
    C_VoiceChat.StopSpeakingText()
end)
local btn = CreateFrame("BUTTON", "MouseOver")
SetBindingClick("ALT-O", "MouseOver")
btn:SetScript("OnClick", function(self, BUTTON, down)
if(monitorMouse==1) then
monitorMouse=0
speakText("Not monitoring the Mouse")
else
monitorMouse=1
speakText("Monitoring the mouse")
end
end)

SetBinding("ALT-G", "interacttarget")
SetBinding("G", "targetlasthostile")
SetBinding("F", "followtarget")
end)
	end
end)


SlashCmdList["STATS"] = readPlayerStatistics;
SlashCmdList["WHERE"] = readPlayerZone;
